#
# Cookbook Name:: sysrc
# Resource:: default
#
# Copyright 2012, Douglas Thrift
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

actions :create, :delete
default_action :create

attribute :variable, :kind_of => [String, Array, Hash], :name_attribute => true
attribute :value, :kind_of => [String, Numeric, TrueClass, FalseClass]
attribute :file, :kind_of => [String, Array]
attribute :jail, :kind_of => [String, Integer]
attribute :root, :kind_of => String
